<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Tominaga hitosi <mail@example.com>
 * @access      public
 */
class Admin_Usermanage_Customer_Search
{
    /**
     * [[機能説明]]
     *
     * @access  public
     */

    var $c_member;
    var $c_pref;
    var $session;
    var $conditinos;

    var $title;
    var $pagename;
    

    var $prefdatas;
    var $year_cnt;

    // 検索キーワード
    var $mcd;
    var $username;
    var $mailaddr;
    var $prefcd;
    var $sex;
    var $telno;
    var $month;
    var $birth_year1;
    var $birth_month1;
    var $birth_day1;
    var $birth_year2;
    var $birth_month2;
    var $birth_day2;
    var $add_year1;
    var $add_month1;
    var $add_day1;
    var $add_year2;
    var $add_month2;
    var $add_day2;
    var $maildiv;

    var $consumer;
    var $seller;
    var $sort;
    var $pageID;
    
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Usermanage_Customer_Searchが実行されました", "Admin_Usermanage_Customer_Search#execute");
        $this -> conditinos = $this -> session -> getParameter('customerConditions');

        $this->prefdatas = $this->c_pref->selectAll();
        $this->year_cnt = date('Y') - 1900 + 1;

        return 'success';
    }

    function getCondition()
    {
        return $this -> conditinos;
    }
}
?>